get
https://api.repsly.com/v3/planograms/
Endpoint is used to export product lists (entities) from Repsly database.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
More Info
To get the complete list of product list entities, start your request with parameter {lastProductListID} = 0.
Response definition
| Name | Type | Description |
|---|---|---|
| MetaCollectionResult\TotalCount | Integer | Total count of product lists |
| MetaCollectionResult\FirstID | Integer | Unique ID of the first item in the list |
| MetaCollectionResult\LastID | Integer | Unique ID of the last item in the list |
| ID | Integer | Unique planogram identifier |
| DisplayType | String | Display type name (defined in DB, referenced by Name) |
| Category | String | Product category (defined in DB, referenced by Name) |
| AccountID | Guid? | Assigned account ID |
| PlaceID | Integer? | Assigned place (client) ID |
| Name | String | Generated planogram name |
| ValidFrom | DateTime? | Planogram is valid FROM this date (can be open ended) |
| ValidTo | DateTime? | Planogram is valid TO this date (can be open ended) |
| Items.ProductCode | String | Product (defined in DB, referenced by Code) |
| Items.ShelfNumber | Integer | Shelf number (bottom = 1, goes up) |
| Items.HorizontalPosition | Integer | Product stack number (leftmost = 1, goes right) |
| Items.VerticalPosition | Integer | Product facing number within the stack (bottom = 1, goes up) |